Package com.enonic.xp.query.aggregation

## Class TermsAggregationQuery.Builder

- java.lang.Object
- - com.enonic.xp.query.aggregation.AggregationQuery.Builder<BucketAggregationQuery.Builder>
  - - com.enonic.xp.query.aggregation.BucketAggregationQuery.Builder<TermsAggregationQuery.Builder>
    - - com.enonic.xp.query.aggregation.TermsAggregationQuery.Builder

- Enclosing class:
    TermsAggregationQuery

      public static class TermsAggregationQuery.Builder
      extends BucketAggregationQuery.Builder<TermsAggregationQuery.Builder>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `Builder​(String name)` |

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `TermsAggregationQuery` | `build()` |
    `TermsAggregationQuery.Builder` | `fieldName​(String fieldName)` |
    `TermsAggregationQuery.Builder` | `minDoccount​(long minDocCount)` |
    `TermsAggregationQuery.Builder` | `orderDirection​(TermsAggregationQuery.Direction direction)` |
    `TermsAggregationQuery.Builder` | `orderType​(TermsAggregationQuery.Type type)` |
    `TermsAggregationQuery.Builder` | `size​(Integer size)` |

    - ### Methods inherited from class com.enonic.xp.query.aggregation.BucketAggregationQuery.Builder

      `addSubQueries, addSubQuery`

    - ### Methods inherited from class com.enonic.xp.query.aggregation.AggregationQuery.Builder

      `name`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### Builder

          public Builder​(String name)

  - ### Method Detail

    - #### fieldName

          public TermsAggregationQuery.Builder fieldName​(String fieldName)

    - #### size

          public TermsAggregationQuery.Builder size​(Integer size)

    - #### minDoccount

          public TermsAggregationQuery.Builder minDoccount​(long minDocCount)

    - #### build

          public TermsAggregationQuery build()

    - #### orderDirection

          public TermsAggregationQuery.Builder orderDirection​(TermsAggregationQuery.Direction direction)

    - #### orderType

          public TermsAggregationQuery.Builder orderType​(TermsAggregationQuery.Type type)